# 报表维度配置表 report_config_group

```sql
CREATE TABLE `report_config_group` (
  `conlumn_name` varchar(100) NOT NULL COMMENT '字段名称',
  `conlumn_desc` varchar(100) DEFAULT NULL COMMENT '字段说明',
  `value` varchar(1000) NOT NULL COMMENT '字段取值范围',
  `method` varchar(200) DEFAULT NULL COMMENT '映射的方法名称，value_type=2时必填',
  `value_type` int NOT NULL COMMENT 'value字段值类型：1.实际值，2.bean名称，3.表名.列名（去重查询）',
  PRIMARY KEY (`conlumn_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='报表维度配置表';
```
# 报表配置表 report_config

```sql
CREATE TABLE `report_config` (
  `calculated` varchar(100) NOT NULL COMMENT '可参与计算的字段',
  `table_name` varchar(500) NOT NULL COMMENT '表名',
  `mapping_name` varchar(500) NOT NULL DEFAULT '' COMMENT '映射代码中的名称',
  `group` varchar(1000) NOT NULL DEFAULT '' COMMENT '可分组的字段',
  `table_group` json NOT NULL COMMENT '表与表之间的分组字段（用于预生成每个维度的统计数据）',
  PRIMARY KEY (`calculated`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='报表配置表';
```
# 对象信息统计报表 report_rwd_object

```sql
CREATE TABLE `report_rwd_object` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `project_id` varchar(50) NOT NULL COMMENT '项目id',
  `obj_type` varchar(50) NOT NULL COMMENT '对象分类',
  `class_code` varchar(50) NOT NULL COMMENT '对象类型编码',
  `year` varchar(4) NOT NULL COMMENT '年',
  `month` varchar(2) DEFAULT NULL COMMENT '月(小于10：01-09)',
  `day` varchar(2) DEFAULT NULL COMMENT '日(小于10：01-09)',
  `hour` varchar(2) DEFAULT NULL COMMENT '时(24小时制，小于10：01-09)',
  `week` varchar(2) DEFAULT NULL COMMENT '周',
  `season` varchar(1) DEFAULT NULL COMMENT '季度：1:0101-0401，2:0401-0701，3:0701-1001，4: 1001-0101  (日期前闭后开)',
  `create_time` varchar(10) DEFAULT NULL COMMENT '创建时间  日期格式：yyyyMMddh24',
  `rwd_object_num` int DEFAULT '0' COMMENT '对象信息统计数量',
  `date_type` varchar(100) NOT NULL COMMENT '日期类型(年:year 月:month 日:day 时:hour 周:week  季度:season)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1461 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='对象信息统计报表';
```
# 报警信息统计报表 report_alarm_record

```sql
CREATE TABLE `report_alarm_record` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `item_code` varchar(40) NOT NULL COMMENT '报警条目编码',
  `project_id` varchar(50) NOT NULL DEFAULT '' COMMENT '项目id',
  `category` varchar(80) DEFAULT NULL COMMENT '报警分类',
  `class_code` varchar(50) DEFAULT NULL COMMENT '对象类型编码',
  `level` varchar(10) DEFAULT NULL COMMENT '严重程度',
  `alarm_state` varchar(2) DEFAULT NULL COMMENT '报警状态',
  `year` varchar(4) DEFAULT NULL COMMENT '年',
  `month` varchar(2) DEFAULT NULL COMMENT '月(小于10：01-09)',
  `day` varchar(2) DEFAULT NULL COMMENT '日(小于10：01-09)',
  `hour` varchar(2) DEFAULT NULL COMMENT '时(24小时制，小于10：01-09)',
  `week` varchar(2) DEFAULT NULL COMMENT '周',
  `season` varchar(1) DEFAULT NULL COMMENT '季度：1:0101-0401，2:0401-0701，3:0701-1001，4: 1001-0101  (日期前闭后开)',
  `create_time` varchar(10) DEFAULT NULL COMMENT '创建时间  日期格式：yyyyMMddh24',
  `alarm_record_num` int DEFAULT '0' COMMENT '报警信息统计数量',
  `alarm_record_num2` int DEFAULT NULL,
  `date_type` varchar(100) NOT NULL COMMENT '日期类型(年:year 月:month 日:day 时:hour 周:week  季度:season)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2287 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='报警信息统计报表';
```